package com.younike.system.mapper;

import java.util.List;
import com.younike.system.domain.GoodsServerDimension;

/**
 * 商品服务评价统计Mapper接口
 * 
 * @author elev
 * @date 2022-01-07
 */
public interface GoodsServerDimensionMapper {
    /**
     * 查询商品服务评价统计
     * 
     * @param id 商品服务评价统计主键
     * @return 商品服务评价统计
     */
    GoodsServerDimension selectGoodsServerDimensionById(Long id);

    /**
     * 查询商品服务评价统计列表
     * 
     * @param goodsServerDimension 商品服务评价统计
     * @return 商品服务评价统计集合
     */
    List<GoodsServerDimension> selectGoodsServerDimensionList(GoodsServerDimension goodsServerDimension);

    /**
     * 新增商品服务评价统计
     * 
     * @param goodsServerDimension 商品服务评价统计
     * @return 结果
     */
    int insertGoodsServerDimension(GoodsServerDimension goodsServerDimension);

    /**
     * 修改商品服务评价统计
     * 
     * @param goodsServerDimension 商品服务评价统计
     * @return 结果
     */
    int updateGoodsServerDimension(GoodsServerDimension goodsServerDimension);

    /**
     * 删除商品服务评价统计
     * 
     * @param id 商品服务评价统计主键
     * @return 结果
     */
    int deleteGoodsServerDimensionById(Long id);

    /**
     * 批量删除商品服务评价统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteGoodsServerDimensionByIds(Long[] ids);

    List<GoodsServerDimension> selectGoodsServerDimensionByServerIdAndGoodsId(Long serverId, Long goodsId);

    void updateGoodsServerDimensions(List<GoodsServerDimension> goodsServerDimensions);

    void insertGoodsServerDimensions(List<GoodsServerDimension> goodsServerDimensions);
}
